Mon Mar 20 12:09:48 EST 2006  andrunko@gmail.com
	  * Fixed make dist.
	  Added FARSIGHT_PLUGIN_LDFLAGS that should be used by all plugins.

Mon Mar 20 07:08:04 EST 2006  kai.vehmanen@nokia.com
	* Added GST_LIBS to the library dep list of the farsight test apps.

Thu Mar 16 09:02:03 EST 2006  andrunko@gmail.com
	* Fixed crash when deleting FarsightTransport.

Wed Mar 15 15:51:51 EST 2006  andrunko@gmail.com
	* Replace some printf calls to g_debug.

Fri Mar 17 14:03:38 EST 2006  philippe.kalaf@collabora.co.uk
	* Added properties for setting turn/stun ip/port

Wed Mar 15 15:49:05 EST 2006  andrunko@gmail.com
	* Continue with code indentation.
	Added some const modifier in some function parameters.

Wed Mar 15 15:37:53 EST 2006  andrunko@gmail.com
	* Added a private member to FarsightStream and use it instead of call 
	FARSIGHT_STREAM_GET_PRIVATE every time.
	Moved FarsightSession object ref to farsight_session_create_stream and removed it from
	rtp plugin.
	Added a destroyed signal on FarsightStream to notify FarsightSession that it has been 
	destroyed.
	Fixed bug on farsight_rtp_stream_stop that did not delete the src and sink elements if
	the stream had never been started.
	Added farsight_stream_get_state and farsight_stream_get_direction.
	Added internal state member on FarsightStream and do not emit state changes if the state
	did not change.
	Some other small bug fixes.

Wed Mar 15 15:33:19 EST 2006  andrunko@gmail.com
	* Fixed gstreamer version dependency on README file.

Wed Mar 15 14:04:34 EST 2006  philippe.kalaf@collabora.co.uk
	* Proper pipeline teardown

Wed Mar 15 14:04:04 EST 2006  philippe.kalaf@collabora.co.uk
	* Make iLBC work

Tue Mar 14 13:15:12 EST 2006  andrunko@gmail.com
	* Make all functions that should be static, static.

Tue Mar 14 12:52:02 EST 2006  andrunko@gmail.com
	* Fixed code indentation.
	Added G_BEGIN_DECLS/G_END_DECLS in all rtp plugin include files.
	Added copyright notice.

Tue Mar 14 17:29:31 EST 2006  rob.taylor@collabora.co.uk
	* update README a bit

03/10/06 01:33:50 philippe.kalaf [1152]

	* plugins/rtp/rtpgstcodecs.c:
	* plugins/rtp/rtpstream.c:
	Fixed a bug where it picked the Encoder/Decoders over the dsp Sink/Srcs
	Some work for iLBC (default at 30ms)
	
03/07/06 21:35:17 philippe.kalaf [1099]

	* plugins/rtp/rtpgstcodecs.c:
	* plugins/rtp/rtpstream.c:
	* tests/test3.c:
	A few extra debug and warning messages
	
03/03/06 01:05:43 philippe.kalaf [952]

	* ChangeLog:
	Updated Changelog
	
03/02/06 21:24:42 philippe.kalaf [947]

	* plugins/rtp/rtpstream.c:
	Added ifdef's around call to socketclient_destroy

03/02/06 19:44:15 laperie [940]

	* plugins/rtp/rtpstream.c:
	sofia headers included in the right way

03/02/06 18:27:23 rojkov [931]

	* debian/control:
	dependency fixed

03/02/06 16:33:13 robtaylor [916]

	* farsight/Makefile.am:
	Thu Mar  2 14:14:56 GMT 2006  rob.taylor@collabora.co.uk
	  * look in right directory for plugins

03/02/06 15:10:43 robtaylor [906]

	* debian/compat:
	* debian/control:
	* debian/rules:
	removed debug packages anddropped compat to 4.
	
03/02/06 14:00:24 robtaylor [904]

	* debian/control:
	add libjingle-dev as a build depends

Thu Mar  2 11:11:45 GMT 2006  rob.taylor@collabora.co.uk
	  * version the farsight plugins dir

Fri Feb 24 23:39:37 GMT 2006  ole.andre.ravnaas@collabora.co.uk
	  * destroy SocketClient instance when FarsightRTPStream is disposed

Fri Feb 24 23:12:24 GMT 2006  ole.andre.ravnaas@collabora.co.uk
	  * fix double free in rtp plugin where CodecInternal's codec is freed, while this is actually owned by local_codecs, so just free the struct itself and not the FarsightCodec within it

Fri Feb 24 23:09:44 GMT 2006  ole.andre.ravnaas@collabora.co.uk
	  * made a couple of internal functions in the rtp plugin static to avoid namespace pollution

Fri Feb 24 23:05:43 GMT 2006  ole.andre.ravnaas@collabora.co.uk
	  * move farsight_plugin_unload from FarsightSession's dispose to finalize in case a plugin's class deriving from FarsightSession overrides finalize and tries to access memory no longer available. disabled plugin unloading on finalize for now, as this breaks horribly with the rtp plugin (possibly due to running threads -- this needs to be investigated further).

Fri Feb 24 23:04:54 GMT 2006  ole.andre.ravnaas@collabora.co.uk
	  * improve plugin loading error handling slightly

Fri Feb 24 14:46:44 GMT 2006  ole.andre.ravnaas@collabora.co.uk
	  * generate native candidate names like &#34;L%d&#34;, and hard-code incoming (remote) candidates' stream name to &#34;rtp&#34;

Fri Feb 24 02:05:58 GMT 2006  ole.andre.ravnaas@collabora.co.uk
	  * fix candidate name marshalling to match libjingle

Thu Feb 23 21:59:33 GMT 2006 philippe.kalaf@collabora.co.uk

    * Setting max_mtu at 100 for now

Thu Feb 23 09:20:11 GMT 2006 philippe.kalaf@collabora.co.uk

    * Hard coded hack to add sync=false on dsppcmsink

Thu Feb 23 09:17:52 GMT 2006 philippe.kalaf@collabora.co.uk

    * Pause codec_bin if has_sink before linking

Thu Feb 23 09:16:42 GMT 2006 philippe.kalaf@collabora.co.uk

    * Fixed bug where we couldn't set payload type to 0 (PCMU)

Wed Feb 22 05:06:44 GMT 2006 philippe.kalaf@collabora.co.uk

    * set sync=false on dsp sink for 770 and other minor fixes for 770

Tue Feb 21 19:37:19 GMT 2006 philippe.kalaf@collabora.co.uk

    * Fixing receiving pipeline issue and some improvements to the test apps

Fri Feb 17 22:50:54 GMT 2006 burger@speedy.org

    * added FS_FAKESTREAM env var and added max_ptime for payloaders

Fri Feb 17 01:53:13 GMT 2006 rob.taylor@collabora.co.uk

    * added debug to creating recv pipeline

Fri Feb 17 01:44:31 GMT 2006 ole.andre.ravnaas@collabora.co.uk

    * added debug

Fri Feb 17 04:24:23 GMT 2006 philippe.kalaf@collabora.co.uk

    * Set a static max MTU on the payload at 500 for now until better solution found

Fri Feb 17 03:48:54 GMT 2006 philippe.kalaf@collabora.co.uk

    * test file for 770 device

Fri Feb 17 03:48:07 GMT 2006 philippe.kalaf@collabora.co.uk

    * Fixes to previous fixes :P

Fri Feb 17 00:10:42 GMT 2006 burger@speedy.org

    * Fixes to previous patch

Thu Feb 16 23:41:58 GMT 2006 burger@speedy.org

    * Take in encoders/decoders that are integrated into the sink/src

Wed Feb 15 22:36:24 GMT 2006 rob.taylor@collabora.co.uk

    * move farsight_stream_prepare_transports to after the streams have been created in th test, the callback attached to this signal assumes this.

Wed Feb 15 22:35:05 GMT 2006 rob.taylor@collabora.co.uk

    * stop the stream if jingle emits stream stopped

Thu Feb 16 05:14:23 GMT 2006 burger@speedy.org

    * Fixed rtpstream for libjingle icesrc/icesink as well as test.c

Wed Feb 15 18:04:56 GMT 2006 burger@speedy.org

    * Separating jingle_c.cpp between gst elements and rtp plugin, updated test apps

Tue Feb 14 18:28:18 GMT 2006 ole.andre.ravnaas@collabora.co.uk

    * emit "new-active-candidate-pair" when a jingle socket becomes writable

Tue Feb 14 18:27:02 GMT 2006 ole.andre.ravnaas@collabora.co.uk

    * fix the compare function used to intersect codec lists

Tue Feb 14 18:25:05 GMT 2006 ole.andre.ravnaas@collabora.co.uk

    * add farsight_stream_get_codec_intersection

Tue Feb 14 18:22:18 GMT 2006 ole.andre.ravnaas@collabora.co.uk

    * emit the "new-active-candidate-pair" signal in farsight_stream_set_active_candidate_pair

Mon Feb 13 20:14:33 GMT 2006 ole.andre.ravnaas@collabora.co.uk

    * get a new native candidate signal when using sofia

Thu Feb 9 00:14:11 GMT 2006 philippe.kalaf@collabora.co.uk

    * Each callback can now pass on user data

Thu Feb 9 00:13:09 GMT 2006 philippe.kalaf@collabora.co.uk

    * Fixed broken headers (copyright headers that is)

Tue Feb 7 23:55:48 GMT 2006 philippe.kalaf@collabora.co.uk

    * Better SocketState? changed signal support, added ability to send/recv packets from P2PSocket

Tue Feb 7 17:00:44 GMT 2006 philippe.kalaf@collabora.co.uk

    * candidate_id should be the username created by libjingle

Fri Feb 3 00:57:40 GMT 2006 philippe.kalaf@collabora.co.uk

    * We can now set an initial active codec, if not set it will autopick. some code cleanup

Thu Jan 19 00:13:35 GMT 2006 rob.taylor@collabora.co.uk

    tagged Start of new Farsight API 

Thu Jan 19 00:07:31 GMT 2006 rob.taylor@collabora.co.uk

    * fix one of the many attribution errors

Thu Jan 19 00:07:08 GMT 2006 rob.taylor@collabora.co.uk

    * removed old ./farsight.pc.in

Wed Jan 18 17:57:50 GMT 2006 dhansak@collabora.co.uk

    * Removing unneeded plugins for this private tree

Tue Jan 17 03:15:35 GMT 2006 philippe.kalaf@collabora.co.uk

    * Making use of codec bins

Mon Jan 16 19:22:15 GMT 2006 philippe.kalaf@collabora.co.uk

    * Using one rtpbin for send+recv, added helper functions and fixed copyrights

Mon Jan 16 18:39:53 GMT 2006 philippe.kalaf@collabora.co.uk

    * Using only 1 rtpbin for sending and receiving

Mon Jan 16 17:48:57 GMT 2006 philippe.kalaf@collabora.co.uk

    * eeh

Mon Jan 16 17:46:22 GMT 2006 philippe.kalaf@collabora.co.uk

    * ok now it works

Mon Jan 16 16:33:16 GMT 2006 philippe.kalaf@collabora.co.uk

    * Test looks like it's working fine, but i can't hear it

Mon Jan 16 02:03:19 GMT 2006 philippe.kalaf@collabora.co.uk

    * getting closer to a working test

Sun Jan 15 22:09:10 GMT 2006 philippe.kalaf@collabora.co.uk

    * Forgot a couple of files

Sun Jan 15 21:29:45 GMT 2006 philippe.kalaf@collabora.co.uk

    * Making RTP plugin compile with the new API

Sun Jan 15 16:18:47 GMT 2006 philippe.kalaf@collabora.co.uk

    * API complete and compiles, now let's make rtp plugin compatible with it

Sun Jan 15 15:04:30 GMT 2006 rob.taylor@collabora.co.uk

    * remove api cruft that burger unecessarily added

Sun Jan 15 01:42:03 GMT 2006 philippe.kalaf@collabora.co.uk

    * Getting closer to a new working API

Sun Jan 15 03:53:23 GMT 2006 burger@speedy.org

    * Complete API in farsight-stream.h

Sat Jan 14 17:49:03 GMT 2006 rob.taylor@collabora.co.uk

    * reformat and add code for multiple parameter/passed values to appear under the line

Sat Jan 14 17:48:41 GMT 2006 rob.taylor@collabora.co.uk

    * add more testcode to ICE.pic

Sat Jan 14 17:34:06 GMT 2006 rob.taylor@collabora.co.uk

    * update FarsightStream? to changes from better understanding of ICE

Fri Jan 13 09:47:35 GMT 2006 rob.taylor@collabora.co.uk

    * resolved conflict in docs/usage.txt

Fri Jan 13 18:41:21 GMT 2006 burger@speedy.org

    * Some updates to API

Tue Jan 10 17:30:32 GMT 2006 rob.taylor@collabora.co.uk

    * removed debug from sequence dia generation, also changed it to use a temp file in the local directory rather than /tmp, to stop multiple builds clashing

Tue Jan 10 17:23:53 GMT 2006 rob.taylor@collabora.co.uk

    * position message labels justfied to the origin on the message

Tue Jan 10 17:23:31 GMT 2006 rob.taylor@collabora.co.uk

    * add more to ICE.pic for testing sequence.pic

Tue Jan 10 15:35:48 GMT 2006 rob.taylor@collabora.co.uk

    * made all objects take account of text width while generating sequence diagrams

Tue Jan 10 15:05:56 GMT 2006 rob.taylor@collabora.co.uk

    * add some text width measurement to sequence diagram drawing

Tue Jan 10 04:50:13 GMT 2006 burger@speedy.org

    * Api redesign and some test.c work

Mon Jan 9 04:22:39 GMT 2006 rob.taylor@collabora.co.uk

    * fix stupid error in usage.txt

Mon Jan 9 04:13:06 GMT 2006 rob.taylor@collabora.co.uk

    * made sequence diagrams build in make dist, and made it more extensible

Mon Jan 9 03:37:35 GMT 2006 rob.taylor@collabora.co.uk

    * add the ability to generate sequence diagrams in documentation generation, with example file

Mon Jan 9 04:26:16 GMT 2006 burger@speedy.org

    * Some work on the test file

Mon Jan 9 03:53:55 GMT 2006 burger@speedy.org

    * RTP plugin looks for open ports and sets those as candidates, replace this by kais socket code when available.

Mon Jan 9 03:48:19 GMT 2006 burger@speedy.org

    * Added 2 constructor parameters to FarsightStream? (media type and direction). Added into a new private FarsightStreamPrivate?.

Mon Jan 9 03:43:23 GMT 2006 burger@speedy.org

    * Moved FarsightMediaType? from farsight-codec.h to farsight-stream.h

Sun Jan 8 03:47:53 GMT 2006 burger@speedy.org

    * Redundant forward declaration

Sun Jan 8 02:51:52 GMT 2006 burger@speedy.org

    * Divided rtp.c into rtpsession.c rtpstream.c and rtp.c

Fri Jan 6 13:31:18 GMT 2006 rob.taylor@collabora.co.uk

    * add a usage guide

Thu Jan 5 20:12:06 GMT 2006 rob.taylor@collabora.co.uk

    * added todo entry for rtp plugin port usage

Fri Jan 6 04:52:43 GMT 2006 burger@speedy.org

    * Removing farsight-sip and test-sip

Thu Jan 5 19:48:04 GMT 2006 rob.taylor@collabora.co.uk

    * remove gtk dependancy from tests

Thu Jan 5 19:38:18 GMT 2006 rob.taylor@collabora.co.uk

    * add more to farsight-test

Thu Jan 5 19:38:02 GMT 2006 rob.taylor@collabora.co.uk

    * unref gst elements when they're replaced

Thu Jan 5 19:37:39 GMT 2006 rob.taylor@collabora.co.uk

    * fix rtp plugin for compiler warnings

Thu Jan 5 19:36:40 GMT 2006 rob.taylor@collabora.co.uk

    * make rtp complile with ERROR_FLAGS

Thu Jan 5 19:34:45 GMT 2006 rob.taylor@collabora.co.uk

    * fixed incorrect signal definition of preparation-complete

Thu Jan 5 19:34:30 GMT 2006 rob.taylor@collabora.co.uk

    * added a todo list

Thu Jan 5 13:30:16 GMT 2006 rob.taylor@collabora.co.uk

    * make autogen check for gtk-doc and enable it by default

Thu Jan 5 10:31:12 GMT 2006 rob.taylor@collabora.co.uk

    * corrected spelling errors in farsight-stream.c

Thu Jan 5 10:24:30 GMT 2006 rob.taylor@collabora.co.uk

    * fixed warnings in farsight-test

Thu Jan 5 10:24:15 GMT 2006 rob.taylor@collabora.co.uk

    * fixed warnings in sip-test

Thu Jan 5 10:23:54 GMT 2006 rob.taylor@collabora.co.uk

    * added missing declaraton for farsight_sip_call

Thu Jan 5 10:13:24 GMT 2006 rob.taylor@collabora.co.uk

    * make tests compile with ERROR_CFLAGS

Thu Jan 5 10:13:03 GMT 2006 rob.taylor@collabora.co.uk

    * added more documentation to FarsightStream?

Thu Jan 5 10:12:18 GMT 2006 rob.taylor@collabora.co.uk

    * added some type checking to FarsightStream?

Thu Jan 5 09:07:02 GMT 2006 rob.taylor@collabora.co.uk

    * cleaned up more documentation

Wed Jan 4 20:29:27 GMT 2006 rob.taylor@collabora.co.uk

    * fixed up some documentation in rtp plugin

Wed Jan 4 20:29:00 GMT 2006 rob.taylor@collabora.co.uk

    * added missing declaration ofr _load_codecs in rtp plugin

Wed Jan 4 20:28:07 GMT 2006 rob.taylor@collabora.co.uk

    * fixed some typos that caused unlinked symbol errors =)

Wed Jan 4 20:27:29 GMT 2006 rob.taylor@collabora.co.uk

    * fixed up some gobject issues with rtp plugin

Wed Jan 4 20:26:43 GMT 2006 rob.taylor@collabora.co.uk

    * added plugin registration to rtp plugin

Wed Jan 4 20:25:55 GMT 2006 rob.taylor@collabora.co.uk

    * added 1st cut test for new api

Wed Jan 4 20:25:31 GMT 2006 rob.taylor@collabora.co.uk

    * added documentation

Wed Jan 4 20:23:47 GMT 2006 rob.taylor@collabora.co.uk

    * added lots of useful debug to help writing plugins

Wed Jan 4 20:23:06 GMT 2006 rob.taylor@collabora.co.uk

    * fixed base class implementation of list_supported_codecs

Wed Jan 4 20:21:10 GMT 2006 rob.taylor@collabora.co.uk

    * split out FarsightCodec? into its own header, added a FarsightSessionError? enum

Wed Jan 4 02:20:49 GMT 2006 rob.taylor@collabora.co.uk

    * add docs/core/farsight-docs.sgml and farsight-sections.txt to allow tighter control of generated docs

Wed Jan 4 02:06:10 GMT 2006 rob.taylor@collabora.co.uk

    * fixed bug in farsight/Makefile.am that caused farsight-marshal.h to not be generated on a clean checkout

Wed Jan 4 01:47:24 GMT 2006 rob.taylor@collabora.co.uk

    * add autogenerated doc stuff to _boring

Wed Jan 4 01:43:53 GMT 2006 rob.taylor@collabora.co.uk

    * fixed up automake for msnavconf so make distclean works

Wed Jan 4 01:35:57 GMT 2006 rob.taylor@collabora.co.uk

    * stop the gtk-doc sgml-build rule being so braindead

Wed Jan 4 01:33:07 GMT 2006 rob.taylor@collabora.co.uk

    * add in gtk-doc manually as we want to edit it

Wed Jan 4 01:26:30 GMT 2006 rob.taylor@collabora.co.uk

    * make documenttation generate. Added and cleaned up a lot of documentation

Tue Jan 3 17:07:52 GMT 2006 rob.taylor@collabora.co.uk

    * added accessors for chosen-candidates and current codec, and removed emitting a list in the chosen-candidates signal as it was silly

Tue Jan 3 15:19:53 GMT 2006 rob.taylor@collabora.co.uk

    * add code to rtp plugin to override the vitrual fucntions, and lots of related cleaning up

Tue Jan 3 15:18:18 GMT 2006 rob.taylor@collabora.co.uk

    * changed get_transport_candidates to return with G_CONST_RETURN

Mon Jan 2 17:13:25 GMT 2006 rob.taylor@collabora.co.uk

    * Add farsight RTP plugin, along with many related api fixups

Mon Jan 2 17:11:13 GMT 2006 rob.taylor@collabora.co.uk

    * fixup makefile.am's for changes to configure.ac

Mon Jan 2 17:09:33 GMT 2006 rob.taylor@collabora.co.uk

    * tidy up configure.ac. Add checking for libgnet,

Wed Dec 14 11:19:38 GMT 2005 rob.taylor@collabora.co.uk

    * fixed up _boring for new dir structure

Wed Dec 14 11:18:59 GMT 2005 rob.taylor@collabora.co.uk

    * adding missing new Makefile.am for m4 dir

Tue Dec 13 22:40:55 GMT 2005 rob.taylor@collabora.co.uk

    * move tests and plugins to project root. Clean up autotooling.

Tue Dec 13 22:09:10 GMT 2005 rob.taylor@collabora.co.uk

    * upgrade configure.ac to check for gst 0.10

Mon Dec 12 19:04:10 GMT 2005 rob.taylor@collabora.co.uk

    * make farsight-sip compile with -Werror -Wall

Mon Dec 12 19:03:50 GMT 2005 rob.taylor@collabora.co.uk

    * remove remaining msn plugin makefile

Mon Dec 12 19:02:44 GMT 2005 rob.taylor@collabora.co.uk

    * make plugin individually selectable, add rtp plugin dir

Mon Dec 12 19:02:13 GMT 2005 rob.taylor@collabora.co.uk

    * add script for indenting to default farsight style

Mon Dec 12 19:01:54 GMT 2005 rob.taylor@collabora.co.uk

    * add a tools subdir

Mon Dec 12 18:54:51 GMT 2005 rob.taylor@collabora.co.uk

    * make autogen.sh simpler.

    Force EVERYONE to user sane, modern, autoconf and automake

Mon Dec 12 18:41:14 GMT 2005 rob.taylor@collabora.co.uk

    * removed plugins/msn

Mon Dec 12 18:40:49 GMT 2005 rob.taylor@collabora.co.uk

    * made _boring the boringfile

Mon Dec 12 18:37:32 GMT 2005 rob.taylor@collabora.co.uk

    * chaneover to new api - removed FarsightProtocol?, added FarsightSession? and FarsightStream?

Mon Dec 12 18:37:24 GMT 2005 rob.taylor@collabora.co.uk

    * updates to _boring

Mon Dec 12 17:20:48 GMT 2005 rob.taylor@collabora.co.uk

    * added boring file

Tue Dec 6 10:01:31 GMT 2005 rob.taylor@collabora.co.uk

    * use m4 directory

farsight (0.1.1) unstable; urgency=low

  * Core rewrite
  * Skeleton MSN Plugin
  * test app

 -- Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>  Fri,  06 Apr 2005 14:33:12 -0300
